com.sun.source.tree

## Interface ConditionalExpressionTree

- All Superinterfaces:
    ExpressionTree, Tree

      @Exported
      public interface ConditionalExpressionTree
      extends ExpressionTree

  A tree node for the conditional operator ? :. For example:

         condition ? trueExpression : falseExpression

  Since:
    1.6
  See The Java™ Language Specification:
    section 15.25

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionTree` | `getCondition()`
    `ExpressionTree` | `getFalseExpression()`
    `ExpressionTree` | `getTrueExpression()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getCondition

          ExpressionTree getCondition()

    - #### getTrueExpression

          ExpressionTree getTrueExpression()

    - #### getFalseExpression

          ExpressionTree getFalseExpression()

Copyright © 2005, 2015, Oracle and/or its affiliates. All rights reserved.